//------------------------------------------------------------------------------------------------------
// Name       : import.c
// Date       : 05.03.1997     Author : SM / OK    Language : E
//------------------------------------------------------------------------------------------------------
// This file contains all language-dependent text definitions of the module IMPORT_.DLL. Together with
// the file IMPORT.RC, it is used to build the language library IMPORT.DLL.
// The library file IMPORT.LIB which is created during the compilation of this language DLL must be
// linked to the module's main DLL in order to have access to the texts and resources defined here.
//------------------------------------------------------------------------------------------------------

#include        "windows.h"
#include        "windowsx.h"
#include        "stdlib.h"

#include        "e:\release4\tosoapi4.h"        // Toso Interface Definitions

//------ Language-dependent strings --------------------------------------------------------------------

DLL_EXPORT LPSTR
        eStartUpText    [] = {
          "Version 1.10e, %s\n\nCopyright 1997 TommySoftware\n\nDeveloper: Stefan Malz.",
          "Coordinates (*.TXT)",                                                // 01
          "Import Coordinates (*.TXT)...",                                      // 02
          "",                                                                   // 03
          "Coordinates (*.txt)",                                                // 04
          "*.txt",                                                              // 05
          "txt",                                                                // 06
          END_TEXT
        },

        eDialogText     [] = {
          "TommySoftware Coordinate Import",                                   // 00
          "untitled.txt",                                                       // 01
          "Importing from File\n%s...",                                         // 02
          "Line %ld",                                                           // 03
          "%ld KBytes",                                                         // 04
          END_TEXT
        },

        eMessageText    [] = {
          "This plug-in requires at least\nToso Interface Version 4.2.",        // 00
          "Insufficient memory.\nPlease close other application to continue.",  // 01
          "The import was canceled.",                                           // 02
          "Error %ld in file selector box.",                                    // 03
          "Out of memory during import.",                                       // 04
          "Error %d in line %ld (offset %ld bytes).",                           // 05
          END_TEXT
        };

//------------------------------------------------------------------------------------------------------
// This DLL entry procedure must exist in any DLL to be used in Win32. Since our language DLL does not
// need any initialization, this procedure is quite empty.

BOOL WINAPI DllMain( HINSTANCE hInstance, DWORD Reason, LPVOID Dummy )
{
  switch( Reason ) {
    case DLL_PROCESS_ATTACH:
      break;

    case DLL_PROCESS_DETACH:
      break;
  }
  return( TRUE );
}
